pbs_diag(8B)

NAME
pbs_diag - diagnostic tool for PBS Professional

SYNOPSIS
pbs_diag [-c] [-d <date range>] [-f] [-g <core file>] [-i <daemon PID>]
[-j <job ID list>] [-n <days>] [-o <output directory>]
[-p <daemon name>] [-r <remote command>] [-u <username>]

DESCRIPTION
The pbs_diag command is an interactive tool for collecting information used to diagnose problems encountered when running PBS Professional. You can also use pbs_diag to generate a current snapshot of the configuration of the server and scheduler in a PBS complex. This tool does not collect MoM configuration information. This command extracts the following information:
    qmgr settings for server, queues, and vnodes
    pbs_probe information about file permissions
    pbs.conf master configuration information
    pbsnodes vnode configuration/state information
    qstat information about current state of the queues and server
    Information about existing reservations
    pbs_hostn name resolution information
    Operating system version information
    Server, scheduler, and MoM configuration files
    tracejob and logging information for jobs specified by the user
    Server, scheduler, and MoM logs for dates specified by the user
    Cpuset configuration information and current state if on a cpuset-aware system
    Vnode definition files
    Settings in the pbs_environment file

OPTIONS

-c  Use this option to gather only cpuset information. It is necessary to get information about a cpuset-aware system that is not running as the PBS server/scheduler.

-d <date range>
    Specifies a date range or a single integer representing the number of days in the past to retrieve server and scheduler logs. Date ranges must be of the form MM/DD/YYYY-MM/DD/YYYY. Defaults to 1 day.

-f  Use this option for non-interactive mode. The greeting will be supressed, as will the command execution confirmation and prompts for additional parameters. If no other options are specified, only basic configuration information is collected. Must use -u option with this option.

-g <core file>
    Path to core file. Obtains a stack trace for all threads from the specified core file produced by one of the PBS daemons. Works only on Linux systems where gdb (the GNU debugger) is installed.

    If you specify -g , no other data collection takes place.

-i <daemon PID>
    In the rare case that the PID stored in the PBS lock file is incorrect, use this option to specify the correct PID.

-j <job ID list>
    Collects information about specified job IDs. Use this option on the command line, to avoid being prompted during the running of the script. Format: comma-separated list of job IDs.

-o <output directory>
    This overrides $HOME as the default location for the output .tar.gz file.

-p <daemon name>
    Specifies name of misbehaving (hung) daemon. pbs_diag gets daemon PID via lock file and gathers OS level data about the daemon process.
    Use -i to optionally override by specifying daemon PID. If you specify -p , no other data collection takes place.

-n <days>
    Specifies the number of days of log files to query. Defaults to 3 days. Passed directly to and used only by pbs_dtj.

-r <remote command>
    Overrides the rsh or ssh settings for PBS_SCP in pbs.conf. Anything be used here as long as it allows "rcommand username@remotehost command" rsh-like syntax. Passed directly to and used only by pbs_dtj.

-u <username>
    Specifies a username under which to run. This option is useful if you are running the script as root, but you do not have passwordless remote access set up for the root account. You can specify a different username here to be used when connecting to the remote vnodes. Passed directly to and used only by pbs_dtj. When specifying non-interactive use via the -f option, you must use the -u option.